/*
 * JPA entity PK template
 */

package de.ivu.elect.business.wahlbeteiligung.entity;

@javax.enterprise.inject.Vetoed
public class WahlbeteiligungVerlaufGebietPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<WahlbeteiligungVerlaufGebietPK> {

  private static final long serialVersionUID = 0L;

  public WahlbeteiligungVerlaufGebietPK() {
    super();
  }

  public WahlbeteiligungVerlaufGebietPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "WahlbeteiligungVerlaufGebietPK:"+getId();
  }

  @Override
  public int compareTo(WahlbeteiligungVerlaufGebietPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
